<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>v-if</title>
</head>
<body>
    <div id="app">

        <input type="number" placeholder="texto" v-model="nota">
        <p v-if="resultado()">Pasaste el examen</p>
        <p v-else="resultado()">Reprobaste el examen</p>

    </div>
    <!-- 
        v-text mostrar texto reactivo
        v-once mostrar texto no reactivo
     -->
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>

        const app = new Vue({
            el:"#app",
            data: {
                nota: 0,
            },
            methods: {
                resultado(){
                    if(this.nota >= 3 && this.nota <= 5){
                        return true
                    }else{
                        return false
                    }
                }
            }

        })
    </script>
</body>
</html>